package com.ruoyi.syzy.domain;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校重点&双一流学科对象 b_busi_wish_universities_subject
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public class BBusiWishUniversitiesSubject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** keySubjects重点学科，sylSubjectsGroup双一流学科 */
    @Excel(name = "keySubjects重点学科，sylSubjectsGroup双一流学科")
    private String dataType;

    /** 学科 */
    @Excel(name = "学科")
    private String subjects;

    /** 学科数量 */
    @Excel(name = "学科数量")
    private Long subjectCount;

    /** 双一流轮次 */
    @Excel(name = "双一流轮次")
    private String evaluations;

    /** 学科类型 */
    @Excel(name = "学科类型")
    private String category;

    /** 学科类型名称 */
    @Excel(name = "学科类型名称")
    private String typeName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public BBusiWishUniversitiesSubject setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
        return this;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setDataType(String dataType) 
    {
        this.dataType = dataType;
    }

    public String getDataType() 
    {
        return dataType;
    }
    public void setSubjects(String subjects) 
    {
        this.subjects = subjects;
    }

    public JSONArray getSubjects()
    {
        return JSONArray.parseArray(subjects);
    }
    public void setSubjectCount(Long subjectCount) 
    {
        this.subjectCount = subjectCount;
    }

    public Long getSubjectCount() 
    {
        return subjectCount;
    }
    public void setEvaluations(String evaluations) 
    {
        this.evaluations = evaluations;
    }

    public String getEvaluations() 
    {
        return evaluations;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeCode", getCollegeCode())
            .append("dataType", getDataType())
            .append("subjects", getSubjects())
            .append("subjectCount", getSubjectCount())
            .append("evaluations", getEvaluations())
            .append("category", getCategory())
            .append("typeName", getTypeName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
